# Return multiple apps' info from dynamicui.conf

This function retrieves an application's information from a specific theme's dynamicui.conf file.

Endpoint: GET /Branding/get_applications
Version: 11.136.0.19
Security: BasicAuth

## Query parameters:

  - `app_keys` (string)
    A comma-separated list of an application feature names. If you do not specify this parameter,
the output will include all of the applications that the dynamicui.conf file contains.

Note:

* This value must match an application's feature value in the dynamicui.conf file.
* For more information, read our Guide to cPanel Interface Customization - Appkeys documentation.
    Example: "addon_domains,ftp_accounts,anonymous_ftp"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_applications"

  - `module` (string)
    The name of the module called.
    Example: "Branding"

  - `result` (object)

  - `result.data` (object)
    Example: {"addon_domains":{"acontent":"","base64_png_image":"","feature":"addondomains","file":"addon_domains","group":"domains","height":"48","if":"$HASROLE{'WebServer'}","imgtype":"icon","implements":"Domains_AddonDomains","itemdesc":"Addon Domains","itemorder":"3","key":"addon_domains","onclick":"","plainitemdesc":"Addon Domains","searchtext":"Domains Addon domain Addon Domains","subtype":"img","target":"","type":"image","url":"addon/index.html","width":"48"},"anonymous_ftp":{"acontent":"","base64_png_image":"","feature":"ftpaccts","file":"anonymous_ftp","group":"files","height":"48","if":"$SERVICEPROVIDED{'ftp'} && $hasanonftp","imgtype":"icon","itemdesc":"Anonymous FTP","itemorder":"8","key":"anonymous_ftp","onclick":"","plainitemdesc":"Anonymous FTP","searchtext":"Anonymous FTP anonymousftp","subtype":"img","target":"","touch":"ftp","type":"image","url":"ftp/anonymous.html","width":"48"},"ftp_accounts":{"acontent":"","base64_png_image":"","feature":"ftpaccts","file":"ftp_accounts","group":"files","height":"48","if":"$SERVICEPROVIDED{'ftp'}","imgtype":"icon","itemdesc":"FTP Accounts","itemorder":"6","key":"ftp_accounts","onclick":"","plainitemdesc":"FTP Accounts","searchtext":"FTP Accounts ftp create","subtype":"img","target":"","touch":"ftp","type":"image","url":"ftp/accounts.html","width":"48"}}

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


